from pydantic import BaseModel


class StoreNameOnly(BaseModel):
    name: str


class Store(StoreNameOnly):
    category: str | None = None
    auto_import: bool
    # base_gis_type: str
    count: int | None = None
    custom: bool
    description: str
    #extra: dict[str, Any] | None
    gis_type: str
    group: str
    #icon: str
    in_menu: bool
    is_db: bool
    is_line_work: bool
    is_live: bool
    long_name: str | None
    #mapbox_layout: dict[str, Any] | None
    #mapbox_paint: dict[str, Any] | None
    type: str
    # mapbox_type_custom: str | None
    #mapbox_type_default: str
    minor_group_1: str | None
    minor_group_2: str | None
    #model: GeoModel
    #name_letter: str
    #name_number: int
    #raw_model: GeoPointSurveyModel
    #raw_model_store_name: str
    status: str
    style: str | None
    symbol: str | None
    title: str
    viewable_role: str | None
    z_index: int