from gisaf.config import conf

class Schema:
    name: str
    table_args: dict[str, str]

    def __init__(self, name: str):
        self.name = name
        self.table_args = dict(schema=name)

    def table(self, name: str) -> str:
        return f'{self.name}.{name}'


gisaf = Schema(name='gisaf')
gisaf_survey = Schema(name='gisaf_survey')
gisaf_admin = Schema(name='gisaf_admin')
gisaf_map = Schema(name='gisaf_map')
raw_survey = Schema(name=conf.survey.db_schema_raw)
survey = Schema(name=conf.survey.db_schema)